Package fr.gouv.vitam.utils

# Enum Class SecurityProfilePermissions

java.lang.Object
java.lang.Enum<SecurityProfilePermissions>
fr.gouv.vitam.utils.SecurityProfilePermissions

All Implemented Interfaces:
  `Serializable`, `Comparable<SecurityProfilePermissions>`, `Constable`

public enum SecurityProfilePermissions extends Enum<SecurityProfilePermissions>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_REQUESTS_CHECK`
  `ACCESS_REQUESTS_REMOVE`
  `ACCESSCONTRACTS_CREATE_JSON`
  `ACCESSCONTRACTS_ID_READ`
  `ACCESSCONTRACTS_ID_UPDATE`
  `ACCESSCONTRACTS_READ`
  `ACCESSIONREGISTER_DETAILS_READ`
  `ACCESSIONREGISTERS_ID_ACCESSIONREGISTERDETAILS_READ`
  `ACCESSIONREGISTERS_READ`
  `ACCESSIONREGISTERSSYMBOLIC_READ`
  `AGENCIES_CREATE`
  `AGENCIES_ID_READ`
  `AGENCIES_READ`
  `AGENCIESFILE_CHECK`
  `AGENCIESREFERENTIAL_ID_READ`
  `ARCHIVE_UNIT_PROFILE_SCHEMA_READ`
  `ARCHIVEUNITPROFILES_CREATE_BINARY`
  `ARCHIVEUNITPROFILES_CREATE_JSON`
  `ARCHIVEUNITPROFILES_ID_READ_JSON`
  `ARCHIVEUNITPROFILES_ID_UPDATE_JSON`
  `ARCHIVEUNITPROFILES_READ`
  `AUDIT_DATA_CONSISTENCY`
  `AUDITS_CREATE`
  `BATCHREPORT_ID_READ`
  `COMPUTEINHERITEDRULES_ACTION`
  `COMPUTEINHERITEDRULES_DELETE`
  `CONFIGURATION_READ`
  `CONTEXTS_CREATE_JSON`
  `CONTEXTS_ID_READ`
  `CONTEXTS_ID_UPDATE`
  `CONTEXTS_READ`
  `DELETE_GOT_VERSIONS`
  `DIPEXPORT_CREATE`
  `DIPEXPORT_ID_DIP_READ`
  `DIPEXPORTV2_CREATE`
  `DISTRIBUTIONREPORT_ID_READ`
  `ELIMINATION_ACTION`
  `ELIMINATION_ANALYSIS`
  `EVIDENCEAUDIT_CHECK`
  `FORCEPAUSE_CHECK`
  `FORMATS_CREATE`
  `FORMATS_ID_READ`
  `FORMATS_READ`
  `FORMATSFILE_CHECK`
  `GRIFFIN_READ`
  `GRIFFINS_CREATE`
  `GRIFFINS_READ`
  `INGESTCONTRACTS_CREATE_JSON`
  `INGESTCONTRACTS_ID_READ`
  `INGESTCONTRACTS_ID_UPDATE`
  `INGESTCONTRACTS_READ`
  `INGESTS_CREATE`
  `INGESTS_ID_ARCHIVETRANSFERTREPLY_READ`
  `INGESTS_ID_MANIFESTS_READ`
  `INGESTS_LOCAL_CREATE`
  `JOB_READ`
  `LOGBOOKOBJECTSLIFECYCLES_ID_READ`
  `LOGBOOKOPERATIONS_CREATE`
  `LOGBOOKOPERATIONS_ID_READ`
  `LOGBOOKOPERATIONS_READ`
  `LOGBOOKUNITLIFECYCLES_ID_READ`
  `MANAGEMENTCONTRACTS_CREATE_JSON`
  `MANAGEMENTCONTRACTS_ID_READ`
  `MANAGEMENTCONTRACTS_ID_UPDATE`
  `MANAGEMENTCONTRACTS_READ`
  `OBJECTGROUP_SCHEMA_READ`
  `OBJECTS_PERSISTENT_IDENTIFIER_OBJECTS_READ_BINARY`
  `OBJECTS_PERSISTENT_IDENTIFIER_READ`
  `OBJECTS_PERSISTENT_IDENTIFIER_READ_BINARY`
  `OBJECTS_READ`
  `OBJECTS_STREAM`
  `ONTOLOGIES_CREATE_BINARY`
  `ONTOLOGIES_CREATE_JSON`
  `ONTOLOGIES_ID_READ_BINARY`
  `ONTOLOGIES_ID_READ_JSON`
  `ONTOLOGIES_ID_UPDATE_JSON`
  `ONTOLOGIES_READ`
  `OPERATIONS_ID_DELETE`
  `OPERATIONS_ID_READ`
  `OPERATIONS_ID_READ_STATUS`
  `OPERATIONS_ID_UPDATE`
  `OPERATIONS_READ`
  `PRESERVATION_UPDATE`
  `PRESERVATIONREPORT_ID_READ`
  `PRESERVATIONSCENARIO_READ`
  `PRESERVATIONSCENARIOS_CREATE`
  `PRESERVATIONSCENARIOS_READ`
  `PROBATIVEVALUE_CHECK`
  `PROBATIVEVALUE_CREATE`
  `PROFILES_CREATE_BINARY`
  `PROFILES_CREATE_JSON`
  `PROFILES_ID_READ_BINARY`
  `PROFILES_ID_READ_JSON`
  `PROFILES_ID_UPDATE_BINAIRE`
  `PROFILES_ID_UPDATE_JSON`
  `PROFILES_READ`
  `PROJECT_CREATE`
  `PROJECT_ID_BINARY`
  `PROJECT_ID_DELETE`
  `PROJECT_ID_READ`
  `PROJECT_ID_TRANSACTIONS`
  `PROJECT_ID_UNITS`
  `PROJECT_ID_ZIP_CREATE`
  `PROJECT_QUERY_READ`
  `PROJECT_READ`
  `PROJECT_UPDATE`
  `RECLASSIFICATION_UPDATE`
  `RECTIFICATIONAUDIT_CHECK`
  `REFERENTIALAUDIT_CHECK`
  `REINDEX_CREATE`
  `REMOVEFORCEPAUSE_CHECK`
  `REVERT_UPDATE`
  `RULES_CREATE`
  `RULES_ID_READ`
  `RULES_READ`
  `RULESFILE_CHECK`
  `RULESREFERENTIAL_ID_READ`
  `RULESREPORT_ID_READ`
  `SECURITYPROFILES_CREATE_JSON`
  `SECURITYPROFILES_ID_READ`
  `SECURITYPROFILES_ID_UPDATE`
  `SECURITYPROFILES_READ`
  `STORAGEACCESSLOG_READ_BINARY`
  `SWITCHINDEX_CREATE`
  `TRACEABILITY_ID_READ`
  `TRACEABILITYCHECKS_CREATE`
  `TRACEABILITYLINKEDCHECKS_CREATE`
  `TRANSACTION_ABORT`
  `TRANSACTION_BINARY_READ`
  `TRANSACTION_BINARY_UPSERT`
  `TRANSACTION_CLOSE`
  `TRANSACTION_CREATE`
  `TRANSACTION_DELETION`
  `TRANSACTION_ID_DELETE`
  `TRANSACTION_ID_READ`
  `TRANSACTION_ID_UNITS`
  `TRANSACTION_ID_UNITS_BULK_UPDATE`
  `TRANSACTION_ID_UNITS_METADATA_CSV_UPDATE`
  `TRANSACTION_ID_UNITS_METADATA_JSONL_UPDATE`
  `TRANSACTION_ID_UNITS_UPDATE`
  `TRANSACTION_OBJECT_READ`
  `TRANSACTION_OBJECT_UPSERT`
  `TRANSACTION_READ`
  `TRANSACTION_RECLASSIFICATION`
  `TRANSACTION_REOPEN`
  `TRANSACTION_SEND`
  `TRANSACTION_SIP_READ`
  `TRANSACTION_SIP_UPLOAD`
  `TRANSACTION_UNIT_CREATE`
  `TRANSACTION_UNIT_ID_READ`
  `TRANSACTION_UNIT_READ`
  `TRANSACTION_UNIT_WITH_INHERITED_RULES_READ`
  `TRANSACTION_UPDATE`
  `TRANSACTION_ZIP_CREATE`
  `TRANSFERS_CREATE`
  `TRANSFERS_ID_SIP_READ`
  `TRANSFERS_REPLY`
  `UNIT_SCHEMA_CREATE`
  `UNIT_SCHEMA_DELETE`
  `UNIT_SCHEMA_READ`
  `UNITS_BULK_UPDATE`
  `UNITS_ID_OBJECTS_ACCESS_REQUESTS_CREATE`
  `UNITS_ID_OBJECTS_READ_BINARY`
  `UNITS_ID_OBJECTS_READ_JSON`
  `UNITS_ID_READ_JSON`
  `UNITS_ID_UPDATE`
  `UNITS_PERSISTENT_IDENTIFIER_READ`
  `UNITS_READ`
  `UNITS_RULES_UPDATE`
  `UNITS_STREAM`
  `UNITS_UPDATE`
  `UNITSWITHINHERITEDRULES_READ`
  `WORKFLOWS_READ`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPermission()`
  `static Boolean`
  `isPermissionValid(String permissionToCheck)`
  `static SecurityProfilePermissions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SecurityProfilePermissions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIPEXPORT_CREATE

    public static final SecurityProfilePermissions DIPEXPORT_CREATE

  - ### DIPEXPORTV2_CREATE

    public static final SecurityProfilePermissions DIPEXPORTV2_CREATE

  - ### DIPEXPORT_ID_DIP_READ

    public static final SecurityProfilePermissions DIPEXPORT_ID_DIP_READ

  - ### TRANSFERS_CREATE

    public static final SecurityProfilePermissions TRANSFERS_CREATE

  - ### TRANSFERS_ID_SIP_READ

    public static final SecurityProfilePermissions TRANSFERS_ID_SIP_READ

  - ### LOGBOOKOBJECTSLIFECYCLES_ID_READ

    public static final SecurityProfilePermissions LOGBOOKOBJECTSLIFECYCLES_ID_READ

  - ### LOGBOOKOPERATIONS_READ

    public static final SecurityProfilePermissions LOGBOOKOPERATIONS_READ

  - ### LOGBOOKOPERATIONS_ID_READ

    public static final SecurityProfilePermissions LOGBOOKOPERATIONS_ID_READ

  - ### LOGBOOKUNITLIFECYCLES_ID_READ

    public static final SecurityProfilePermissions LOGBOOKUNITLIFECYCLES_ID_READ

  - ### UNITS_UPDATE

    public static final SecurityProfilePermissions UNITS_UPDATE

  - ### REVERT_UPDATE

    public static final SecurityProfilePermissions REVERT_UPDATE

  - ### UNITS_RULES_UPDATE

    public static final SecurityProfilePermissions UNITS_RULES_UPDATE

  - ### UNITS_BULK_UPDATE

    public static final SecurityProfilePermissions UNITS_BULK_UPDATE

  - ### UNITS_READ

    public static final SecurityProfilePermissions UNITS_READ

  - ### UNITS_PERSISTENT_IDENTIFIER_READ

    public static final SecurityProfilePermissions UNITS_PERSISTENT_IDENTIFIER_READ

  - ### OBJECTS_PERSISTENT_IDENTIFIER_OBJECTS_READ_BINARY

    public static final SecurityProfilePermissions OBJECTS_PERSISTENT_IDENTIFIER_OBJECTS_READ_BINARY

  - ### OBJECTS_PERSISTENT_IDENTIFIER_READ

    public static final SecurityProfilePermissions OBJECTS_PERSISTENT_IDENTIFIER_READ

  - ### OBJECTS_PERSISTENT_IDENTIFIER_READ_BINARY

    public static final SecurityProfilePermissions OBJECTS_PERSISTENT_IDENTIFIER_READ_BINARY

  - ### UNITS_STREAM

    public static final SecurityProfilePermissions UNITS_STREAM

  - ### OBJECTS_STREAM

    public static final SecurityProfilePermissions OBJECTS_STREAM

  - ### UNITS_ID_READ_JSON

    public static final SecurityProfilePermissions UNITS_ID_READ_JSON

  - ### UNITS_ID_UPDATE

    public static final SecurityProfilePermissions UNITS_ID_UPDATE

  - ### UNITS_ID_OBJECTS_READ_JSON

    public static final SecurityProfilePermissions UNITS_ID_OBJECTS_READ_JSON

  - ### UNITS_ID_OBJECTS_READ_BINARY

    public static final SecurityProfilePermissions UNITS_ID_OBJECTS_READ_BINARY

  - ### UNITS_ID_OBJECTS_ACCESS_REQUESTS_CREATE

    public static final SecurityProfilePermissions UNITS_ID_OBJECTS_ACCESS_REQUESTS_CREATE

  - ### ACCESS_REQUESTS_CHECK

    public static final SecurityProfilePermissions ACCESS_REQUESTS_CHECK

  - ### ACCESS_REQUESTS_REMOVE

    public static final SecurityProfilePermissions ACCESS_REQUESTS_REMOVE

  - ### UNITSWITHINHERITEDRULES_READ

    public static final SecurityProfilePermissions UNITSWITHINHERITEDRULES_READ

  - ### ACCESSCONTRACTS_READ

    public static final SecurityProfilePermissions ACCESSCONTRACTS_READ

  - ### ACCESSCONTRACTS_CREATE_JSON

    public static final SecurityProfilePermissions ACCESSCONTRACTS_CREATE_JSON

  - ### ACCESSCONTRACTS_ID_READ

    public static final SecurityProfilePermissions ACCESSCONTRACTS_ID_READ

  - ### ACCESSCONTRACTS_ID_UPDATE

    public static final SecurityProfilePermissions ACCESSCONTRACTS_ID_UPDATE

  - ### ACCESSIONREGISTERS_READ

    public static final SecurityProfilePermissions ACCESSIONREGISTERS_READ

  - ### ACCESSIONREGISTERS_ID_ACCESSIONREGISTERDETAILS_READ

    public static final SecurityProfilePermissions ACCESSIONREGISTERS_ID_ACCESSIONREGISTERDETAILS_READ

  - ### AGENCIES_CREATE

    public static final SecurityProfilePermissions AGENCIES_CREATE

  - ### AGENCIES_READ

    public static final SecurityProfilePermissions AGENCIES_READ

  - ### AGENCIES_ID_READ

    public static final SecurityProfilePermissions AGENCIES_ID_READ

  - ### AGENCIESFILE_CHECK

    public static final SecurityProfilePermissions AGENCIESFILE_CHECK

  - ### AGENCIESREFERENTIAL_ID_READ

    public static final SecurityProfilePermissions AGENCIESREFERENTIAL_ID_READ

  - ### AUDITS_CREATE

    public static final SecurityProfilePermissions AUDITS_CREATE

  - ### CONTEXTS_CREATE_JSON

    public static final SecurityProfilePermissions CONTEXTS_CREATE_JSON

  - ### CONTEXTS_READ

    public static final SecurityProfilePermissions CONTEXTS_READ

  - ### CONTEXTS_ID_READ

    public static final SecurityProfilePermissions CONTEXTS_ID_READ

  - ### CONTEXTS_ID_UPDATE

    public static final SecurityProfilePermissions CONTEXTS_ID_UPDATE

  - ### DISTRIBUTIONREPORT_ID_READ

    public static final SecurityProfilePermissions DISTRIBUTIONREPORT_ID_READ

  - ### FORMATS_READ

    public static final SecurityProfilePermissions FORMATS_READ

  - ### FORMATS_CREATE

    public static final SecurityProfilePermissions FORMATS_CREATE

  - ### FORMATS_ID_READ

    public static final SecurityProfilePermissions FORMATS_ID_READ

  - ### FORMATSFILE_CHECK

    public static final SecurityProfilePermissions FORMATSFILE_CHECK

  - ### INGESTCONTRACTS_CREATE_JSON

    public static final SecurityProfilePermissions INGESTCONTRACTS_CREATE_JSON

  - ### INGESTCONTRACTS_READ

    public static final SecurityProfilePermissions INGESTCONTRACTS_READ

  - ### INGESTCONTRACTS_ID_READ

    public static final SecurityProfilePermissions INGESTCONTRACTS_ID_READ

  - ### INGESTCONTRACTS_ID_UPDATE

    public static final SecurityProfilePermissions INGESTCONTRACTS_ID_UPDATE

  - ### OPERATIONS_READ

    public static final SecurityProfilePermissions OPERATIONS_READ

  - ### OPERATIONS_ID_READ_STATUS

    public static final SecurityProfilePermissions OPERATIONS_ID_READ_STATUS

  - ### OPERATIONS_ID_READ

    public static final SecurityProfilePermissions OPERATIONS_ID_READ

  - ### OPERATIONS_ID_UPDATE

    public static final SecurityProfilePermissions OPERATIONS_ID_UPDATE

  - ### OPERATIONS_ID_DELETE

    public static final SecurityProfilePermissions OPERATIONS_ID_DELETE

  - ### PROFILES_CREATE_BINARY

    public static final SecurityProfilePermissions PROFILES_CREATE_BINARY

  - ### PROFILES_CREATE_JSON

    public static final SecurityProfilePermissions PROFILES_CREATE_JSON

  - ### PROFILES_READ

    public static final SecurityProfilePermissions PROFILES_READ

  - ### PROFILES_ID_READ_JSON

    public static final SecurityProfilePermissions PROFILES_ID_READ_JSON

  - ### PROFILES_ID_UPDATE_BINAIRE

    public static final SecurityProfilePermissions PROFILES_ID_UPDATE_BINAIRE

  - ### PROFILES_ID_READ_BINARY

    public static final SecurityProfilePermissions PROFILES_ID_READ_BINARY

  - ### PROFILES_ID_UPDATE_JSON

    public static final SecurityProfilePermissions PROFILES_ID_UPDATE_JSON

  - ### RULES_READ

    public static final SecurityProfilePermissions RULES_READ

  - ### RULES_CREATE

    public static final SecurityProfilePermissions RULES_CREATE

  - ### RULES_ID_READ

    public static final SecurityProfilePermissions RULES_ID_READ

  - ### RULESFILE_CHECK

    public static final SecurityProfilePermissions RULESFILE_CHECK

  - ### RULESREPORT_ID_READ

    public static final SecurityProfilePermissions RULESREPORT_ID_READ

  - ### RULESREFERENTIAL_ID_READ

    public static final SecurityProfilePermissions RULESREFERENTIAL_ID_READ

  - ### SECURITYPROFILES_CREATE_JSON

    public static final SecurityProfilePermissions SECURITYPROFILES_CREATE_JSON

  - ### SECURITYPROFILES_READ

    public static final SecurityProfilePermissions SECURITYPROFILES_READ

  - ### SECURITYPROFILES_ID_READ

    public static final SecurityProfilePermissions SECURITYPROFILES_ID_READ

  - ### SECURITYPROFILES_ID_UPDATE

    public static final SecurityProfilePermissions SECURITYPROFILES_ID_UPDATE

  - ### TRACEABILITY_ID_READ

    public static final SecurityProfilePermissions TRACEABILITY_ID_READ

  - ### TRACEABILITYCHECKS_CREATE

    public static final SecurityProfilePermissions TRACEABILITYCHECKS_CREATE

  - ### TRACEABILITYLINKEDCHECKS_CREATE

    public static final SecurityProfilePermissions TRACEABILITYLINKEDCHECKS_CREATE

  - ### WORKFLOWS_READ

    public static final SecurityProfilePermissions WORKFLOWS_READ

  - ### INGESTS_CREATE

    public static final SecurityProfilePermissions INGESTS_CREATE

  - ### INGESTS_LOCAL_CREATE

    public static final SecurityProfilePermissions INGESTS_LOCAL_CREATE

  - ### INGESTS_ID_ARCHIVETRANSFERTREPLY_READ

    public static final SecurityProfilePermissions INGESTS_ID_ARCHIVETRANSFERTREPLY_READ

  - ### INGESTS_ID_MANIFESTS_READ

    public static final SecurityProfilePermissions INGESTS_ID_MANIFESTS_READ

  - ### SWITCHINDEX_CREATE

    public static final SecurityProfilePermissions SWITCHINDEX_CREATE

  - ### REINDEX_CREATE

    public static final SecurityProfilePermissions REINDEX_CREATE

  - ### EVIDENCEAUDIT_CHECK

    public static final SecurityProfilePermissions EVIDENCEAUDIT_CHECK

  - ### REFERENTIALAUDIT_CHECK

    public static final SecurityProfilePermissions REFERENTIALAUDIT_CHECK

  - ### ARCHIVEUNITPROFILES_CREATE_BINARY

    public static final SecurityProfilePermissions ARCHIVEUNITPROFILES_CREATE_BINARY

  - ### ARCHIVEUNITPROFILES_CREATE_JSON

    public static final SecurityProfilePermissions ARCHIVEUNITPROFILES_CREATE_JSON

  - ### ARCHIVEUNITPROFILES_READ

    public static final SecurityProfilePermissions ARCHIVEUNITPROFILES_READ

  - ### ARCHIVEUNITPROFILES_ID_READ_JSON

    public static final SecurityProfilePermissions ARCHIVEUNITPROFILES_ID_READ_JSON

  - ### ARCHIVEUNITPROFILES_ID_UPDATE_JSON

    public static final SecurityProfilePermissions ARCHIVEUNITPROFILES_ID_UPDATE_JSON

  - ### ONTOLOGIES_CREATE_BINARY

    public static final SecurityProfilePermissions ONTOLOGIES_CREATE_BINARY

  - ### ONTOLOGIES_CREATE_JSON

    public static final SecurityProfilePermissions ONTOLOGIES_CREATE_JSON

  - ### ONTOLOGIES_READ

    public static final SecurityProfilePermissions ONTOLOGIES_READ

  - ### ONTOLOGIES_ID_READ_JSON

    public static final SecurityProfilePermissions ONTOLOGIES_ID_READ_JSON

  - ### ONTOLOGIES_ID_READ_BINARY

    public static final SecurityProfilePermissions ONTOLOGIES_ID_READ_BINARY

  - ### ONTOLOGIES_ID_UPDATE_JSON

    public static final SecurityProfilePermissions ONTOLOGIES_ID_UPDATE_JSON

  - ### RECLASSIFICATION_UPDATE

    public static final SecurityProfilePermissions RECLASSIFICATION_UPDATE

  - ### RECTIFICATIONAUDIT_CHECK

    public static final SecurityProfilePermissions RECTIFICATIONAUDIT_CHECK

  - ### OBJECTS_READ

    public static final SecurityProfilePermissions OBJECTS_READ

  - ### DELETE_GOT_VERSIONS

    public static final SecurityProfilePermissions DELETE_GOT_VERSIONS

  - ### ELIMINATION_ANALYSIS

    public static final SecurityProfilePermissions ELIMINATION_ANALYSIS

  - ### ELIMINATION_ACTION

    public static final SecurityProfilePermissions ELIMINATION_ACTION

  - ### FORCEPAUSE_CHECK

    public static final SecurityProfilePermissions FORCEPAUSE_CHECK

  - ### REMOVEFORCEPAUSE_CHECK

    public static final SecurityProfilePermissions REMOVEFORCEPAUSE_CHECK

  - ### PROBATIVEVALUE_CHECK

    public static final SecurityProfilePermissions PROBATIVEVALUE_CHECK

  - ### PROBATIVEVALUE_CREATE

    public static final SecurityProfilePermissions PROBATIVEVALUE_CREATE

  - ### GRIFFINS_CREATE

    public static final SecurityProfilePermissions GRIFFINS_CREATE

  - ### PRESERVATIONSCENARIOS_CREATE

    public static final SecurityProfilePermissions PRESERVATIONSCENARIOS_CREATE

  - ### GRIFFINS_READ

    public static final SecurityProfilePermissions GRIFFINS_READ

  - ### GRIFFIN_READ

    public static final SecurityProfilePermissions GRIFFIN_READ

  - ### PRESERVATIONSCENARIOS_READ

    public static final SecurityProfilePermissions PRESERVATIONSCENARIOS_READ

  - ### PRESERVATIONSCENARIO_READ

    public static final SecurityProfilePermissions PRESERVATIONSCENARIO_READ

  - ### PRESERVATION_UPDATE

    public static final SecurityProfilePermissions PRESERVATION_UPDATE

  - ### ACCESSIONREGISTERSSYMBOLIC_READ

    public static final SecurityProfilePermissions ACCESSIONREGISTERSSYMBOLIC_READ

  - ### BATCHREPORT_ID_READ

    public static final SecurityProfilePermissions BATCHREPORT_ID_READ

  - ### PRESERVATIONREPORT_ID_READ

    public static final SecurityProfilePermissions PRESERVATIONREPORT_ID_READ

  - ### LOGBOOKOPERATIONS_CREATE

    public static final SecurityProfilePermissions LOGBOOKOPERATIONS_CREATE

  - ### COMPUTEINHERITEDRULES_ACTION

    public static final SecurityProfilePermissions COMPUTEINHERITEDRULES_ACTION

  - ### COMPUTEINHERITEDRULES_DELETE

    public static final SecurityProfilePermissions COMPUTEINHERITEDRULES_DELETE

  - ### MANAGEMENTCONTRACTS_CREATE_JSON

    public static final SecurityProfilePermissions MANAGEMENTCONTRACTS_CREATE_JSON

  - ### MANAGEMENTCONTRACTS_READ

    public static final SecurityProfilePermissions MANAGEMENTCONTRACTS_READ

  - ### MANAGEMENTCONTRACTS_ID_READ

    public static final SecurityProfilePermissions MANAGEMENTCONTRACTS_ID_READ

  - ### MANAGEMENTCONTRACTS_ID_UPDATE

    public static final SecurityProfilePermissions MANAGEMENTCONTRACTS_ID_UPDATE

  - ### TRANSFERS_REPLY

    public static final SecurityProfilePermissions TRANSFERS_REPLY

  - ### STORAGEACCESSLOG_READ_BINARY

    public static final SecurityProfilePermissions STORAGEACCESSLOG_READ_BINARY

  - ### AUDIT_DATA_CONSISTENCY

    public static final SecurityProfilePermissions AUDIT_DATA_CONSISTENCY

  - ### ACCESSIONREGISTER_DETAILS_READ

    public static final SecurityProfilePermissions ACCESSIONREGISTER_DETAILS_READ

  - ### TRANSACTION_READ

    public static final SecurityProfilePermissions TRANSACTION_READ

  - ### TRANSACTION_UPDATE

    public static final SecurityProfilePermissions TRANSACTION_UPDATE

  - ### TRANSACTION_CREATE

    public static final SecurityProfilePermissions TRANSACTION_CREATE

  - ### TRANSACTION_CLOSE

    public static final SecurityProfilePermissions TRANSACTION_CLOSE

  - ### TRANSACTION_SIP_READ

    public static final SecurityProfilePermissions TRANSACTION_SIP_READ

  - ### TRANSACTION_ABORT

    public static final SecurityProfilePermissions TRANSACTION_ABORT

  - ### TRANSACTION_REOPEN

    public static final SecurityProfilePermissions TRANSACTION_REOPEN

  - ### TRANSACTION_SEND

    public static final SecurityProfilePermissions TRANSACTION_SEND

  - ### TRANSACTION_ID_UNITS

    public static final SecurityProfilePermissions TRANSACTION_ID_UNITS

  - ### TRANSACTION_ID_UNITS_UPDATE

    public static final SecurityProfilePermissions TRANSACTION_ID_UNITS_UPDATE

  - ### TRANSACTION_ID_UNITS_METADATA_CSV_UPDATE

    public static final SecurityProfilePermissions TRANSACTION_ID_UNITS_METADATA_CSV_UPDATE

  - ### TRANSACTION_ID_UNITS_METADATA_JSONL_UPDATE

    public static final SecurityProfilePermissions TRANSACTION_ID_UNITS_METADATA_JSONL_UPDATE

  - ### TRANSACTION_ID_UNITS_BULK_UPDATE

    public static final SecurityProfilePermissions TRANSACTION_ID_UNITS_BULK_UPDATE

  - ### TRANSACTION_UNIT_CREATE

    public static final SecurityProfilePermissions TRANSACTION_UNIT_CREATE

  - ### TRANSACTION_UNIT_READ

    public static final SecurityProfilePermissions TRANSACTION_UNIT_READ

  - ### TRANSACTION_UNIT_ID_READ

    public static final SecurityProfilePermissions TRANSACTION_UNIT_ID_READ

  - ### TRANSACTION_OBJECT_UPSERT

    public static final SecurityProfilePermissions TRANSACTION_OBJECT_UPSERT

  - ### TRANSACTION_OBJECT_READ

    public static final SecurityProfilePermissions TRANSACTION_OBJECT_READ

  - ### TRANSACTION_BINARY_READ

    public static final SecurityProfilePermissions TRANSACTION_BINARY_READ

  - ### TRANSACTION_BINARY_UPSERT

    public static final SecurityProfilePermissions TRANSACTION_BINARY_UPSERT

  - ### TRANSACTION_ZIP_CREATE

    public static final SecurityProfilePermissions TRANSACTION_ZIP_CREATE

  - ### TRANSACTION_SIP_UPLOAD

    public static final SecurityProfilePermissions TRANSACTION_SIP_UPLOAD

  - ### TRANSACTION_UNIT_WITH_INHERITED_RULES_READ

    public static final SecurityProfilePermissions TRANSACTION_UNIT_WITH_INHERITED_RULES_READ

  - ### PROJECT_CREATE

    public static final SecurityProfilePermissions PROJECT_CREATE

  - ### PROJECT_READ

    public static final SecurityProfilePermissions PROJECT_READ

  - ### PROJECT_UPDATE

    public static final SecurityProfilePermissions PROJECT_UPDATE

  - ### PROJECT_ID_READ

    public static final SecurityProfilePermissions PROJECT_ID_READ

  - ### PROJECT_QUERY_READ

    public static final SecurityProfilePermissions PROJECT_QUERY_READ

  - ### PROJECT_ID_BINARY

    public static final SecurityProfilePermissions PROJECT_ID_BINARY

  - ### PROJECT_ID_UNITS

    public static final SecurityProfilePermissions PROJECT_ID_UNITS

  - ### PROJECT_ID_DELETE

    public static final SecurityProfilePermissions PROJECT_ID_DELETE

  - ### PROJECT_ID_TRANSACTIONS

    public static final SecurityProfilePermissions PROJECT_ID_TRANSACTIONS

  - ### PROJECT_ID_ZIP_CREATE

    public static final SecurityProfilePermissions PROJECT_ID_ZIP_CREATE

  - ### TRANSACTION_ID_DELETE

    public static final SecurityProfilePermissions TRANSACTION_ID_DELETE

  - ### TRANSACTION_ID_READ

    public static final SecurityProfilePermissions TRANSACTION_ID_READ

  - ### TRANSACTION_DELETION

    public static final SecurityProfilePermissions TRANSACTION_DELETION

  - ### TRANSACTION_RECLASSIFICATION

    public static final SecurityProfilePermissions TRANSACTION_RECLASSIFICATION

  - ### JOB_READ

    public static final SecurityProfilePermissions JOB_READ

  - ### UNIT_SCHEMA_READ

    public static final SecurityProfilePermissions UNIT_SCHEMA_READ

  - ### ARCHIVE_UNIT_PROFILE_SCHEMA_READ

    public static final SecurityProfilePermissions ARCHIVE_UNIT_PROFILE_SCHEMA_READ

  - ### UNIT_SCHEMA_CREATE

    public static final SecurityProfilePermissions UNIT_SCHEMA_CREATE

  - ### UNIT_SCHEMA_DELETE

    public static final SecurityProfilePermissions UNIT_SCHEMA_DELETE

  - ### OBJECTGROUP_SCHEMA_READ

    public static final SecurityProfilePermissions OBJECTGROUP_SCHEMA_READ

  - ### CONFIGURATION_READ

    public static final SecurityProfilePermissions CONFIGURATION_READ

- ## Method Details

  - ### values

    public static SecurityProfilePermissions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SecurityProfilePermissions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPermission

    public String getPermission()

  - ### isPermissionValid

    public static Boolean isPermissionValid(String permissionToCheck)